/*
 *	Title:		o3find
 *	Version:	0.8.2
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003-2005 Paolo Copello
 *	
 *	******************************************
 *	This file is part of o3find
 *	******************************************
 *	
 *	o3find is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */


#pragma once


/////////////////////////////////////////////////////////////////////////////

static const CString O3FIND_COMPANY	= _T("PaoloCopello");

static const CString O3FIND_SETTINGS	= _T("Settings");

static const CString O3FIND_APP_NAME	= _T("o3find_wingui");

static const CString O3FIND_DEFAULT_VERSION	= _T("0.8.2");

/////////////////////////////////////////////////////////////////////////////
class CO3FindOptions
{
public:
	CO3FindOptions();

	// REMEMBER tab
	BOOL m_bRememberFilesSearched;
	CString m_strLastFilesSearched;

	BOOL m_bRememberTextSearched;
	CString m_strLastTextSearched;

	BOOL m_bRememberDirectory;
	CString m_strLastDirectory;

	BOOL m_bRememberMainWindowOptions;

	BOOL m_bCaseSensitive;
	BOOL m_bSubFolders;

	// SETTINGS tab
	BOOL m_bRememberSettings;

	BOOL m_bContent;
	BOOL m_bMetaData;

	BOOL m_bAlreadyOpen;
	BOOL m_bIgnoreStyle;

	// GENERAL...
	CString m_strVersion;

	int LoadFromRegistry();
	int SaveToRegistry();
	int DeleteFromRegistry();
	int DeleteFromRegistryAllUsers();

	//BOOL m_bChanged;
};

